### Constructor

# Dex Future new_for_string

#### Declaration [src]

    DexFuture*
    dex_future_new_for_string (
      const char* string
    )

#### Description [src]

Creates a new `DexFuture` and resolves it with `string`.

#### Parameters

`string`

  Type: `const char*`

  The resolved value for the future.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.